Net::DNS::RR::MINFO(3)

NAME
Net::DNS::RR::MINFO - DNS MINFO resource record

SYNOPSIS
    use Net::DNS;
    $rr = new Net::DNS::RR('name MINFO rmailbx emailbx');

DESCRIPTION
Class for DNS Mailbox Information (MINFO) resource records.

METHODS
The available methods are those inherited from the base class augmented by the type-specific methods defined in this package.

Use of undocumented package features or direct access to internal data structures is discouraged and could result in program termination or other unpredictable behaviour.

  rmailbx
    $rmailbx = $rr->rmailbx;
    $rr->rmailbx( $rmailbx );

A domain name which specifies a mailbox which is responsible for the mailing list or mailbox. If this domain name names the root, the owner of the MINFO RR is responsible for itself. Note that many existing mailing lists use a mailbox X-request to identify the maintainer of mailing list X, e.g., Msgroup-request for Msgroup. This field provides a more general mechanism.

  emailbx
    $emailbx = $rr->emailbx;
    $rr->emailbx( $emailbx );

A domain name which specifies a mailbox which is to receive error messages related to the mailing list or mailbox specified by the owner of the MINFO RR (similar to the ERRORS-TO: field which has been proposed). If this domain name names the root, errors should be returned to the sender of the message.

COPYRIGHT
Copyright (c)1997-2002 Michael Fuhr.

All rights reserved.

This program is free software; you may redistribute it and/or modify it under the same terms as Perl itself.

Package template (c)2009,2012 O.M.Kolkman and R.W.Franks.

SEE ALSO
perl, Net::DNS, Net::DNS::RR, RFC1035 Section 3.3.7